//
//  NSEnumerator+YSRACSequenceAdditions.m
//  ReactiveObjC
//
//  Created by Uri Baghin on 07/01/2013.
//  Copyright (c) 2013 GitHub, Inc. All rights reserved.
//

#import "NSEnumerator+YSRACSequenceAdditions.h"
#import "YSRACSequence.h"

@implementation NSEnumerator (YSRACSequenceAdditions)

- (YSRACSequence *)ysrac_sequence {
	return [YSRACSequence sequenceWithHeadBlock:^{
		return [self nextObject];
	} tailBlock:^{
		return self.ysrac_sequence;
	}];
}

@end
